unit U_TradeTotallClothOutinput;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxStyles, cxCustomData, cxGraphics, cxFilter, cxData, cxDataStorage,
  cxEdit, DB, cxDBData, cxCalendar, cxDropDownEdit, ComCtrls, ToolWin,
  cxGridLevel, cxGridCustomTableView, cxGridTableView, cxGridDBTableView,
  cxClasses, cxControls, cxGridCustomView, cxGrid, cxGridCustomPopupMenu,
  cxGridPopupMenu, ADODB, DBClient, cxButtonEdit, cxTextEdit, cxSpinEdit,
  StdCtrls, ExtCtrls, cxLookAndFeels, cxLookAndFeelPainters, cxNavigator,
  dxDateRanges, dxBarBuiltInMenu, U_BaseInput, System.ImageList, Vcl.ImgList,
  cxPC, dxScrollbarAnnotations, cxContainer, dxCore, cxDateUtils, cxMaskEdit,
  cxImageList, dxSkinsCore, dxSkinsDefaultPainters;

type
  TfrmTradeTotallClothOutinput = class(TfrmBaseInput)
    ToolBar1: TToolBar;
    TBSave: TToolButton;
    TBClose: TToolButton;
    DS_1: TDataSource;
    CDS_Sub: TClientDataSet;
    ADOQueryCmd: TADOQuery;
    ADOQueryMain: TADOQuery;
    ADOQueryTemp: TADOQuery;
    GPM_1: TcxGridPopupMenu;
    cxGrid1: TcxGrid;
    Tv1: TcxGridDBTableView;
    v2Column1: TcxGridDBColumn;
    v1Column8: TcxGridDBColumn;
    v2Column6: TcxGridDBColumn;
    v1Column3: TcxGridDBColumn;
    v1Column12: TcxGridDBColumn;
    cxGrid1Level1: TcxGridLevel;
    v1Column5: TcxGridDBColumn;
    v1CheJian: TcxGridDBColumn;
    v1Column10: TcxGridDBColumn;
    v1Column11: TcxGridDBColumn;
    v1Column13: TcxGridDBColumn;
    v1Column14: TcxGridDBColumn;
    Tv1Column1: TcxGridDBColumn;
    ToolButton1: TToolButton;
    Tv1Column3: TcxGridDBColumn;
    Tv1Column4: TcxGridDBColumn;
    Tv1Column5: TcxGridDBColumn;
    Tv1Column6: TcxGridDBColumn;
    Tv1Column7: TcxGridDBColumn;
    Tv1Column8: TcxGridDBColumn;
    Tv1Column9: TcxGridDBColumn;
    Tv1Column10: TcxGridDBColumn;
    Tv1Column11: TcxGridDBColumn;
    Tv1Column12: TcxGridDBColumn;
    Tv1Column13: TcxGridDBColumn;
    Tv1Column14: TcxGridDBColumn;
    Tv1Column17: TcxGridDBColumn;
    Tv1Column18: TcxGridDBColumn;
    Panel1: TPanel;
    Label11: TLabel;
    Label12: TLabel;
    Label1: TLabel;
    Label14: TLabel;
    BCIONO: TcxTextEdit;
    IOType: TcxComboBox;
    IOTime: TcxDateEdit;
    ToCoName: TcxButtonEdit;
    ToolBar2: TToolBar;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    Tv1Column2: TcxGridDBColumn;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TBAddClick(Sender: TObject);
    procedure TBCloseClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure TBDelClick(Sender: TObject);
    procedure TBSaveClick(Sender: TObject);
    procedure Tv1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure ToolButton1Click(Sender: TObject);
    procedure Tv1Column2PropertiesButtonClick(Sender: TObject; AButtonIndex: Integer);
    procedure v1Column13PropertiesButtonClick(Sender: TObject; AButtonIndex: Integer);
    procedure ToolButton2Click(Sender: TObject);
    procedure ToCoNamePropertiesButtonClick(Sender: TObject; AButtonIndex: Integer);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    function SaveData(): Boolean;
  public
    { Public declarations }
    FBCId, FStkName, FKHName, FC_Degree: string;
  end;

var
  frmTradeTotallClothOutinput: TfrmTradeTotallClothOutinput;

implementation

uses
  U_DataLink, U_RTFun, U_CustomFun, U_ZDYHelp, U_TradeTotallClothStkSel,
  U_CompanySel, U_TradePlanSel, U_TradeDRSel;

{$R *.dfm}

procedure TfrmTradeTotallClothOutinput.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  inherited;
  Action := caFree;
end;

procedure TfrmTradeTotallClothOutinput.TBAddClick(Sender: TObject);
begin
  try
    frmTradeTotallClothStkSel := TfrmTradeTotallClothStkSel.Create(Application);
    with frmTradeTotallClothStkSel do
    begin
      FStkIdS := CustomSelCDSKey(SELF.CDS_Sub, ['StkId'])[0];
      FstkName := Self.FstkName;
      FC_Degree := Self.FC_Degree;
      if ShowModal = 1 then
      begin
        frmTradeTotallClothStkSel.CDS_1.DisableControls;
        with frmTradeTotallClothStkSel.CDS_1 do
        begin
          First;
          while frmTradeTotallClothStkSel.CDS_1.Locate('SSel', True, []) do
          begin
            with Self.CDS_Sub do
            begin
              Append;
              FieldByName('IOTime').Value := Trim(FormatDateTime('yyyy-MM-dd', Now));
              FieldByName('STKID').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('BCIOID').Value;
              FieldByName('IOType').Value := '检验出库';
              FieldByName('ToConNo').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('FromConNo').Value;
              FieldByName('FromConNo').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('FromConNo').Value;
              FieldByName('FromCoNo').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('FromCoNo').Value;
              FieldByName('FromCoName').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('FromCoName').Value;
              FieldByName('StkCoNo').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('StkCoNo').Value;
              FieldByName('StkCoName').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('StkCoName').Value;
              FieldByName('ToCoNo').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('StkCoNo').Value;
              FieldByName('ToCoName').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('StkCoName').Value;
              FieldByName('C_Code').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('C_Code').Value;
              FieldByName('C_Name').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('C_Name').Value;
              FieldByName('C_EName').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('C_EName').Value;
              FieldByName('C_Spec').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('C_Spec').Value;
              FieldByName('QtyUnit').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('QtyUnit').Value;
              FieldByName('Qty').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('STKQTY').Value;
              FieldByName('Piece').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('StkPiece').Value;
              FieldByName('BatchNo').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('BatchNo').Value;
              FieldByName('C_Width').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('C_Width').Value;
              FieldByName('C_GramWeight').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('C_GramWeight').Value;
              FieldByName('FromOrdNo').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('FromOrdNo').Value;
              FieldByName('FromMainId').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('FromMainId').Value;
              FieldByName('FromSubId').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('FromSubId').Value;
              FieldByName('ToOrdNo').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('FromOrdNo').Value;
              FieldByName('ToMainId').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('FromMainId').Value;
              FieldByName('ToSubId').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('FromSubId').Value;
              FieldByName('Workshop').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('Workshop').Value;
              FieldByName('PieceWeight').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('PieceWeight').Value;
              FieldByName('C_ColorDepth').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('C_ColorDepth').Value;
              FieldByName('C_Color').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('C_Color').Value;
              FieldByName('C_EColor').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('C_EColor').Value;
              FieldByName('C_ColorNo').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('C_ColorNo').Value;
              FieldByName('FtyPCId').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('FtyPCId').Value;
              FieldByName('C_Pattern').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('C_Pattern').Value;
              FieldByName('C_Composition').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('C_Composition').Value;
              FieldByName('C_StyleNo').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('C_StyleNo').Value;

              FieldByName('CraftCode').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('CraftCode').Value;
              FieldByName('CraftName').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('CraftName').Value;
              FieldByName('CraftEName').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('CraftEName').Value;
              FieldByName('GC_Name').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('GC_Name').Value;
              FieldByName('PieceNo').Value := frmTradeTotallClothStkSel.CDS_1.fieldbyname('PieceNo').Value;
              Post;
            end;
            frmTradeTotallClothStkSel.CDS_1.Delete;
          end;
        end;
        frmTradeTotallClothStkSel.CDS_1.EnableControls;
      end;
    end;
  finally
    frmTradeTotallClothStkSel.Free;
  end;

end;

function TfrmTradeTotallClothOutinput.SaveData(): Boolean;
var
  MBCIOID, Maxno: string;
begin
  try
    ADOQueryCmd.Connection.BeginTrans;
    CDS_Sub.DisableControls;
    with CDS_Sub do
    begin
      First;
      while not eof do
      begin
        with ADOQueryTemp do
        begin
          Close;
          sql.Clear;
          sql.Add('select * from BS_Cloth_IO where BCIOID=''' + Trim(CDS_Sub.fieldbyname('BCIOID').AsString) + '''');
          Open;
        end;
        MBCIOID := Trim(ADOQueryTemp.fieldbyname('BCIOID').AsString);
        if Trim(MBCIOID) = '' then
        begin
          if not GetLSNo(ADOQueryCmd, Maxno, 'MC', 'BS_Cloth_IO', 4, 1) then
            raise Exception.Create('取染色坯布出库编号失败！');
        end
        else
        begin
          Maxno := Trim(MBCIOID);
        end;
        with ADOQueryCmd do
        begin
          Close;
          sql.Clear;
          sql.Add('select * from BS_Cloth_IO where BCIOID=''' + Trim(Maxno) + '''');
          Open;
        end;
        with ADOQueryCmd do
        begin
          if Trim(MBCIOID) = '' then
          begin
            Append;
            FieldByName('Fillid').Value := Trim(Dcode);
            FieldByName('Filler').Value := Trim(DName);
            FieldByName('status').value:='0';
          end
          else
          begin
            Edit;
            FieldByName('Editid').Value := Trim(Dcode);
            FieldByName('Editer').Value := Trim(DName);
            FieldByName('EditTime').Value := SGetServerDate(ADOQueryTemp);

          end;
          RTSetSaveDataCDS(ADOQueryCmd, Tv1, CDS_Sub, 'BS_Cloth_IO', 0);
          RTSetsavedata(ADOQueryCmd, 'BS_Cloth_IO', Panel1, 0);
          FieldByName('ToCoNo').Value := Trim(ToCoName.Properties.LookupItems.Text);
          FieldByName('STKName').Value := FSTKName;
          FieldByName('BCIOID').Value := Trim(Maxno);
          FieldByName('IOFlag').Value := '出库';
          FieldByName('IOQtyFlag').Value := -1;
          FieldByName('STKID').Value := CDS_Sub.fieldbyname('STKID').Value;
          FieldByName('FromCoNo').Value := CDS_Sub.fieldbyname('FromCoNo').Value;
          FieldByName('FromCoName').Value := CDS_Sub.fieldbyname('FromCoName').Value;
          FieldByName('StkCoNo').Value := CDS_Sub.fieldbyname('StkCoNo').Value;
          FieldByName('ToCoNo').Value := CDS_Sub.fieldbyname('ToCoNo').Value;
          FieldByName('FromOrdNo').Value := CDS_Sub.fieldbyname('FromOrdNo').Value;
          FieldByName('FromMainId').Value := CDS_Sub.fieldbyname('FromMainId').Value;
          FieldByName('FromSubId').Value := CDS_Sub.fieldbyname('FromSubId').Value;

          FieldByName('ToOrdNo').Value := CDS_Sub.fieldbyname('ToOrdNo').Value;
          FieldByName('ToMainId').Value := CDS_Sub.fieldbyname('ToMainId').Value;
          FieldByName('ToSubId').Value := CDS_Sub.fieldbyname('ToSubId').Value;

          FieldByName('FromConNo').Value := CDS_Sub.fieldbyname('FromConNo').Value;

          Post;
        end;
        with ADOQueryCmd do
        begin
          Close;
          sql.Clear;
          sql.Add('Update BS_Cloth_IO Set StkPiece=(select Sum(isnull(Piece,0)*IOQtyFlag) from BS_Cloth_IO A where A.STKID=BS_Cloth_IO.BCIOID)');
          sql.Add(',STKQty=(select Sum(isnull(Qty,0)*IOQtyFlag) from BS_Cloth_IO A where A.STKID=BS_Cloth_IO.BCIOID )');
          sql.Add('where BCIOID=''' + Trim(CDS_Sub.fieldbyname('STKID').AsString) + '''');
          ExecSQL;
        end;
        with ADOQueryTemp do
        begin
          Close;
          sql.Clear;
          sql.Add('select * from BS_Cloth_IO where BCIOID=''' + Trim(CDS_Sub.fieldbyname('STKID').AsString) + '''');
          Open;
        end;
        if ADOQueryTemp.FieldByName('STKQty').Value < 0 then
          raise Exception.Create('出库数量大于入库数量不能保存！');

        if ADOQueryTemp.FieldByName('StkPiece').Value < 0 then
          raise Exception.Create('出库匹数大于入库匹数不能保存！');
        with ADOQueryCmd do
        begin
          Close;
          Sql.Clear;
          Sql.Add('exec P_BS_Cloth_Move ');
          Sql.Add(' @BCIOID=' + quotedstr(Trim(Maxno)));
          Open;
        end;
        if ADOQueryCmd.FieldByName('intReturn').AsInteger = -1 then
          raise Exception.Create(pchar(trim(ADOQueryCmd.FieldByName('ShowMsg').AsString)));
        with ADOQueryCmd do
        begin
          Close;
          sql.Clear;
          sql.Add('insert into Finance_Need_Up(UType,UDataId,UOperation,UOperator,UModule,UDetails)       ');
          sql.Add('values(''贸易布坯出库''    ');
          sql.Add(',' + quotedstr(Maxno));
          sql.Add(',''保存''   ');
          sql.Add(',' + quotedstr(DName));
          sql.Add(',' + quotedstr(trim(self.Caption)));
          sql.Add(',' + quotedstr(Maxno));
          sql.Add(')  ');
          ExecSQL;
        end;
        Edit;
        FieldByName('BCIOID').Value := Trim(Maxno);
        Post;
        Next;
      end;
    end;
    CDS_Sub.EnableControls;
    ADOQueryCmd.Connection.CommitTrans;
    Result := True;
  except
    Result := False;
    ADOQueryCmd.Connection.RollbackTrans;
    application.MessageBox(PChar(Exception(ExceptObject).Message), '提示信息', 0);
  end;

end;

procedure TfrmTradeTotallClothOutinput.TBCloseClick(Sender: TObject);
begin

  Close;
end;

procedure TfrmTradeTotallClothOutinput.FormCreate(Sender: TObject);
begin
  inherited;
  IOTime.Date := SGetServerDate(ADOQueryTemp);
end;

procedure TfrmTradeTotallClothOutinput.FormShow(Sender: TObject);
var
  fsj: string;
begin
  inherited;
  ReadCxGrid(FSTKName + '出库登记', Tv1, '贸易汇总仓库');

  with ADOQueryTemp do
  begin
    Close;
    sql.Clear;
    sql.Add(' select A.* ');
    sql.Add(' from BS_Cloth_IO A');
    sql.Add(' where BCIOID=''' + Trim(FBCId) + '''');
    Open;
  end;
  SCSHData(ADOQueryTemp, Panel1, 0);
  ToCoName.Properties.LookupItems.Text := Trim(ADOQueryTemp.FieldByName('ToCoNo').AsString);
  SCreateCDS(ADOQueryTemp, CDS_Sub);
  SInitCDSData(ADOQueryTemp, CDS_Sub);
//  fsj:='select name=CJName ,Code=null from CheJian';
//  SInitCxGridComboBoxBySql(ADOQueryTemp,v1CheJian,fsj,0,True,'');
end;

procedure TfrmTradeTotallClothOutinput.TBDelClick(Sender: TObject);
begin
  if CDS_Sub.IsEmpty then
    Exit;
  if Trim(CDS_Sub.fieldbyname('BCIOID').AsString) <> '' then
  begin
    if Application.MessageBox('确定要删除数据吗？', '提示', 32 + 4) <> IDYES then
      Exit;
    with ADOQueryTemp do
    begin
      Close;
      sql.Clear;
      sql.Add('exec P_Fin_Flow_Judge ');
      Sql.Add(' @FFIDS=' + quotedstr(Trim(CDS_Sub.fieldbyname('BCIOID').AsString)));
      Sql.Add(',@DCode=' + quotedstr(Trim(DCode)));
      Sql.Add(',@DName=' + quotedstr(Trim(DName)));
      Open;
    end;
    if ADOQueryTemp.FieldByName('intReturn').AsInteger = -1 then
    begin
      Application.MessageBox(PChar(ADOQueryTemp.fieldbyname('ShowMsg').AsString), '提示', 0);
      exit;
    end;
    try
      ADOQueryCmd.Connection.BeginTrans;
      with ADOQueryCmd do
      begin
        Close;
        Sql.Clear;
        sql.Add('insert into Finance_Need_Up(UType,UDataId,UOperation,UOperator,UModule,UDetails)       ');
        sql.Add('values(''贸易布坯出库''    ');
        sql.Add(',' + quotedstr(Trim(CDS_Sub.fieldbyname('BCIOID').AsString)));
        sql.Add(',''删除''   ');
        sql.Add(',' + quotedstr(DName));
        sql.Add(',' + quotedstr(trim(self.Caption)));
        sql.Add(',' + quotedstr(Trim(CDS_Sub.fieldbyname('BCIOID').AsString)));
        sql.Add(')  ');

        Sql.Add('exec P_BS_Cloth_Out_Del ');
        Sql.Add(' @BCIOIDS=' + quotedstr(Trim(CDS_Sub.fieldbyname('BCIOID').AsString)));
        Sql.Add(',@DCode=' + quotedstr(Trim(DCode)));
        Sql.Add(',@DName=' + quotedstr(Trim(DName)));
        Open;
      end;
      if ADOQueryCmd.FieldByName('intReturn').AsInteger = -1 then
        raise Exception.Create(pchar(trim(ADOQueryCmd.FieldByName('ShowMsg').AsString)));

      ADOQueryCmd.Connection.CommitTrans;
      CDS_Sub.Delete;
    except
      ADOQueryCmd.Connection.RollbackTrans;
      application.MessageBox(PChar(Exception(ExceptObject).Message), '提示信息', 0);
    end;
  end
  else
    CDS_Sub.Delete;
end;

procedure TfrmTradeTotallClothOutinput.TBSaveClick(Sender: TObject);
var
  Maxno: string;
begin
  if CDS_Sub.IsEmpty then
    Exit;
//  if IOTime.Text = '' then
//  begin
//    Application.MessageBox('出库时间不能为空!', '提示', 0);
//    Exit;
//  end;
  if IOType.Text = '' then
  begin
    Application.MessageBox('出库类型不能为空!', '提示', 0);
    Exit;
  end;
  if ToCoName.Text = '' then
  begin
    Application.MessageBox('出到单位不能为空!', '提示', 0);
    Exit;
  end;
  if CDS_Sub.Locate('Piece', null, []) = True then
  begin
    Application.MessageBox('匹数不能为空!', '提示', 0);
    Exit;
  end;
  if CDS_Sub.Locate('Qty', null, []) = True then
  begin
    Application.MessageBox('数量不能为空!', '提示', 0);
    Exit;
  end;
  if not GetLSNo(ADOQueryCmd, Maxno, 'BCO', 'BS_Cloth_IO', 4, 1) then
  begin
    Application.MessageBox('取出库单号失败!', '提示', 0);
    Exit;
  end
  else
    BCIONO.Text := Maxno;

  if SaveData() then
  begin
    Application.MessageBox('保存成功!', '提示', 0);
    //ModalResult:=1;
    Exit;
  end;
end;

procedure TfrmTradeTotallClothOutinput.ToCoNamePropertiesButtonClick(Sender: TObject; AButtonIndex: Integer);
begin
  try
    frmCompanySel := TfrmCompanySel.Create(Application);
    with frmCompanySel do
    begin
      if IOType.Text = '销售出库' then
        FCoType := '客户'
      else
        FCoType := '供应商';

      if ShowModal = 1 then
      begin
        self.ToCoName.Properties.LookupItems.Text := Trim(frmCompanySel.CDS_1.fieldbyname('CoCode').AsString);
        self.ToCoName.Text := Trim(frmCompanySel.CDS_1.fieldbyname('CoAbbrName').AsString);
      end;
    end;

  finally
    frmCompanySel.Free;
  end;
end;

procedure TfrmTradeTotallClothOutinput.ToolButton1Click(Sender: TObject);
begin
  WriteCxGrid(fSTKName + '出库登记', Tv1, '贸易汇总仓库');

end;

procedure TfrmTradeTotallClothOutinput.ToolButton2Click(Sender: TObject);
begin
  try
    frmTradeDRSel := TfrmTradeDRSel.Create(self);
    with frmTradeDRSel do
    begin
      if ShowModal = 1 then
      begin
        BCIONO.Text := Trim(Order_Main.fieldbyname('DRMID').AsString);
      end;
    end;
  finally
    frmTradeDRSel.Free;
  end;
end;

procedure TfrmTradeTotallClothOutinput.Tv1Column2PropertiesButtonClick(Sender: TObject; AButtonIndex: Integer);
begin
  try
    frmCompanySel := TfrmCompanySel.Create(Application);
    with frmCompanySel do
    begin
      if Trim(Self.CDS_Sub.fieldbyname('IOType').AsString) = '销售出库' then
        FCoType := '客户'
      else
        FCoType := '供应商';
      if ShowModal = 1 then
      begin
        with Self.CDS_Sub do
        begin
          Edit;
          FieldByName('ToCoNo').Value := Trim(CDS_1.fieldbyname('CoCode').AsString);
          FieldByName('ToCoName').Value := Trim(CDS_1.fieldbyname('CoAbbrName').AsString);
        end;
      end;
    end;
  finally
    frmCompanySel.Free;
  end;
end;

procedure TfrmTradeTotallClothOutinput.Tv1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  FFSPID: string;
begin
  if CDS_Sub.IsEmpty then
    Exit;
//  if Trim(CDS_Sub.fieldbyname('BCIOID').AsString) <> '' then
//  begin
//    with ADOQueryTemp do
//    begin
//      Close;
//      sql.Clear;
//      sql.Add('select * from BS_Cloth_IO where BCIOID=''' + Trim(CDS_Sub.fieldbyname('BCIOID').AsString) + '''');
//      Open;
//    end;
//    FFSPID := Trim(ADOQueryTemp.fieldbyname('BCIOID').AsString);
//    if Trim(FFSPID) <> '' then
//    begin
//      v1CRType.Options.Editing := False;
//    end
//    else
//    begin
//      v1CRType.Options.Editing := True;
//    end;
//  end
//  else
//  begin
//    v1CRType.Options.Editing := True;
//  end;
end;

procedure TfrmTradeTotallClothOutinput.v1Column13PropertiesButtonClick(Sender: TObject; AButtonIndex: Integer);
begin
  try
    frmTradePlanSel := TfrmTradePlanSel.Create(Application);
    with frmTradePlanSel do
    begin
      if ShowModal = 1 then
      begin
        with Self.CDS_Sub do
        begin
          Edit;
          FieldByName('ToOrdNo').Value := Trim(frmTradePlanSel.CDS_1.fieldbyname('OrderNo').AsString);
          FieldByName('ToMainId').Value := Trim(frmTradePlanSel.CDS_1.fieldbyname('MainId').AsString);
          FieldByName('ToSubId').Value := Trim(frmTradePlanSel.CDS_1.fieldbyname('SubId').AsString);
        end;
      end;
    end;
  finally
    frmTradePlanSel.Free;
  end;
end;

end.

